Page MenuHomePhabricator

Requesting access to analytics-privatedata-users, researchers & wmf for jennifer wang (jwang)
Closed, ResolvedPublic

Description

wikitech username: Jennifer Wang
Preferred shell username: jwang
Email address: jwang@wikimedia.org
Ssh public key (must be dedicated key for wmf production):


Requested group membership: analytics-privatedata-users, researchers & wmf
Reason for access: Data Analytics
Name of approving party (hiring manager, for WMF staff): Kate Zimmerman

Details

Related Gerrit Patches:

Event Timeline

jwang created this task.Jan 14 2020, 10:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2020, 10:53 PM

@jwang: The shell username "jwang" is already taken: Please create an account in "Cloud VPS" first following https://wikitech.wikimedia.org/wiki/Help:Create_a_Wikimedia_developer_account#VPS_and_General_Users (the SSH key used there needs to be different from the SSH key for WMF production access) and add the user name to this task (the WMF production cluster uses the same UIDs as used in Cloud VPS).

@kzimmerman: Please approve as Jennifer's manager

@Nuria: For approval for Hadoop access.

MoritzMuehlenhoff triaged this task as Medium priority.Jan 15 2020, 9:34 AM

Approved as Jennifer's manager!

Nuria added a comment.Jan 15 2020, 9:50 PM

Approved on my end

@MoritzMuehlenhoff
Thanks for the instruction. Here are the updated application information. Thanks!

wikitech username: Jenniferwang
Preferred shell username: jiawang
Email address: jwang@wikimedia.org
Ssh public key

Change 565304 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add Jennifer Wang to analytics-privatedata-users and researchers

https://gerrit.wikimedia.org/r/565304

@jwang : I already enabled your LDAP access via the "wmf" group, the services listed at https://wikitech.wikimedia.org/wiki/LDAP/Groups#wmf_group can now be accessed.

For the SSH shell access I created https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/565304/, pending review.

Change 565304 merged by Muehlenhoff:
[operations/puppet@production] Add Jennifer Wang to analytics-privatedata-users and researchers

https://gerrit.wikimedia.org/r/565304

MoritzMuehlenhoff closed this task as Resolved.Jan 17 2020, 9:07 AM
MoritzMuehlenhoff claimed this task.

@jwang Your access is now enabled, let me know if you run into any issues logging in with SSH. If you have any specific questions wrt Hadoop access, best to ask the #wikimedia-analytics channel on IRC.